hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From László Bodor (Jira) <j...@apache.org>
Subject [jira] [Updated] (HIVE-23930) Upgrade to tez 0.10.x
Date Sat, 29 Aug 2020 11:47:00 GMT

     [ https://issues.apache.org/jira/browse/HIVE-23930?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

László Bodor updated HIVE-23930:
--------------------------------
    Description: 
Tez 0.10.0 is not yet released, but this ticket is for tracking the effort and the needed
hive changes.

Currently, Hive depends on 0.9.1

Hadoop dependencies:
Hive/master: *3.1.0*
Tez/master: *3.1.3*
Tez/branch-0.9:  *2.7.2*

TODOs: 
- check why HIVE-23689 broke some unit tests intermittently (0.9.2 ->0.9.3 bump), because
a 0.10.x upgrade will also contain those tez changes which could be related

- maintain the needed hive changes (reflecting tez api changes):
HIVE-23190: LLAP: modify IndexCache to pass filesystem object to TezSpillRecord

  was:
Tez 0.10.1 is not yet released, but this ticket is for tracking the effort and the needed
hive changes.

Currently, Hive depends on 0.9.1

Hadoop dependencies:
Hive/master: *3.1.0*
Tez/master: *3.1.3*
Tez/branch-0.9:  *2.7.2*

TODOs: 
- check why HIVE-23689 broke some unit tests intermittently (0.9.2 ->0.9.3 bump), because
a 0.10.x upgrade will also contain those tez changes which could be related

- maintain the needed hive changes (reflecting tez api changes):
HIVE-23190: LLAP: modify IndexCache to pass filesystem object to TezSpillRecord


> Upgrade to tez 0.10.x
> ---------------------
>
>                 Key: HIVE-23930
>                 URL: https://issues.apache.org/jira/browse/HIVE-23930
>             Project: Hive
>          Issue Type: Improvement
>            Reporter: László Bodor
>            Assignee: László Bodor
>            Priority: Major
>              Labels: pull-request-available
>          Time Spent: 1h 10m
>  Remaining Estimate: 0h
>
> Tez 0.10.0 is not yet released, but this ticket is for tracking the effort and the needed
hive changes.
> Currently, Hive depends on 0.9.1
> Hadoop dependencies:
> Hive/master: *3.1.0*
> Tez/master: *3.1.3*
> Tez/branch-0.9:  *2.7.2*
> TODOs: 
> - check why HIVE-23689 broke some unit tests intermittently (0.9.2 ->0.9.3 bump),
because a 0.10.x upgrade will also contain those tez changes which could be related
> - maintain the needed hive changes (reflecting tez api changes):
> HIVE-23190: LLAP: modify IndexCache to pass filesystem object to TezSpillRecord



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message